Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class ResourceResponseImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.MimeResponseImpl
              org.jboss.portal.portlet.impl.jsr168.api.ResourceResponseImpl

All Implemented Interfaces:
  javax.portlet.MimeResponse, PortletResponse, javax.portlet.ResourceResponse

    public class ResourceResponseImpl

extends MimeResponseImpl
implements javax.portlet.ResourceResponse

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.MimeResponseImpl
`bufferSize, cacheControl`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Fields inherited from interface javax.portlet.ResourceResponse
`HTTP_STATUS_CODE`

Fields inherited from interface javax.portlet.MimeResponse
`CACHE_SCOPE, ETAG, EXPIRATION_CACHE, MARKUP_HEAD_ELEMENT, NAMESPACED_RESPONSE, PRIVATE_SCOPE, PUBLIC_SCOPE, USE_CACHED_CONTENT`

Constructor Summary
`ResourceResponseImpl(ResourceInvocation invocation, PortletRequestImpl preq)`

Method Summary
`PortletURL` | `createActionURL()`
`protected ContentResponse` | `createMarkupResponse(ResponseProperties properties, java.util.Map<java.lang.String,java.lang.Object> attributeMap, java.lang.String contentType, byte[] bytes, java.lang.String chars, CacheControl cacheControl)`
`PortletURL` | `createRenderURL()`
`void` | `setCharacterEncoding(java.lang.String s)`
`void` | `setContentLength(int i)`
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.MimeResponseImpl
`addProperty, createResourceURL, flushBuffer, getBufferSize, getCacheControl, getCharacterEncoding, getContentType, getLocale, getPortletOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentType`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, addProperty, createElement, encodeURL, getNamespace, getProperties, getProperties, getRealResponse, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.ResourceResponse
`createResourceURL`

Methods inherited from interface javax.portlet.MimeResponse
`flushBuffer, getBufferSize, getCacheControl, getCharacterEncoding, getContentType, getLocale, getPortletOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentType`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Constructor Detail

### ResourceResponseImpl

    public ResourceResponseImpl(ResourceInvocation invocation,
                                PortletRequestImpl preq)

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.portlet.ResourceResponse`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String s)

  Specified by:
    `setCharacterEncoding` in interface `javax.portlet.ResourceResponse`

### setContentLength

    public void setContentLength(int i)

  Specified by:
    `setContentLength` in interface `javax.portlet.ResourceResponse`

### createActionURL

    public PortletURL createActionURL()

  Specified by:
    `createActionURL` in interface `javax.portlet.MimeResponse`
  Specified by:
    `createActionURL` in interface `javax.portlet.ResourceResponse`
  Overrides:
    `createActionURL` in class `MimeResponseImpl`

### createRenderURL

    public PortletURL createRenderURL()

  Specified by:
    `createRenderURL` in interface `javax.portlet.MimeResponse`
  Specified by:
    `createRenderURL` in interface `javax.portlet.ResourceResponse`
  Overrides:
    `createRenderURL` in class `MimeResponseImpl`

### createMarkupResponse

    protected ContentResponse createMarkupResponse(ResponseProperties properties,
                                                   java.util.Map<java.lang.String,java.lang.Object> attributeMap,
                                                   java.lang.String contentType,
                                                   byte[] bytes,
                                                   java.lang.String chars,
                                                   CacheControl cacheControl)

  Specified by:
    `createMarkupResponse` in class `MimeResponseImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.